Subject: Re: Cygwin 1.7.x on Windows 7: Exit statuses of Win32 executables are sometimes wrong
From: John Dong <[email-masked]>
To: Edward McGuire <[email-masked]>
Cc: [email-masked]
Date: Mon, 02 May 2011 10:18:08 -0700
List-Id: <cygwin.cygwin.com>

Hi Edward,

For what it's worth, I just left it running since my last reply and it's still running. I can fairly confidently say this only happens when executing a Windows binary from Cygwin.

Any insights or suggestions of further things to test would be greatly appreciated. These kinds of bugs certainly aren't fun to chase down.

John

On Apr 29, 2011, at 5:29 PM, John Dong wrote:

> Hi Edward,
> 
> Yeah, I forgot to mention that I tried scripting it in a batch file outside cygwin in much the same way as your script, and it ran for a day or two without fail. I can keep that going for longer just in case it fails less frequently, but I don't think it's a Windows / MSVCRT bug.
> 
> 
> John
> 
> 
> On Apr 29, 2011, at 2:04 PM, Edward McGuire wrote:
> 
>> On Fri, Apr 29, 2011 at 13:35, John Dong <[email-masked]> wrote:
>>> I've tried using a different shell (like dash), but it doesn't make a difference, leading me to suspect this to be a lower-level issue within the Cygwin DLL.
>> Have you tried it with the stock Windows command processor? Something
>> like this (untested) script?
>> 
>> @echo off
>> :redo
>> rem c:\path\to\exiter.exe 0
>> if errorlevel 1 exit /b %errorlevel%
>> echo %errorlevel%
>> goto:redo
>> 
>> --
>> Problem reports:       http://cygwin.com/problems.html
>> FAQ:                   http://cygwin.com/faq/
>> Documentation:         http://cygwin.com/docs.html
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>> 
> 
> 
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> 

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple